%bcond_with bootstrap

Name:           apache-commons-parent
Version:        73
Release:        %mkrel 1
Group:          Development/Java
Summary:        Apache Commons Parent Pom
License:        Apache-2.0
URL:            https://commons.apache.org/commons-parent-pom.html
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://github.com/apache/commons-parent/archive/rel/commons-parent-%{version}.tar.gz

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(biz.aQute.bnd:biz.aQute.bndlib)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.apache:apache:pom:)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.moditect:moditect-maven-plugin)
# Not generated automatically
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
%endif

Requires:       mvn(org.codehaus.mojo:build-helper-maven-plugin)
Requires:       mvn(org.moditect:moditect-maven-plugin)

%description
The Project Object Model files for the apache-commons packages.

%prep
%setup -q -n commons-parent-rel-commons-parent-%{version}

# Plugin is not in fedora
%pom_remove_plugin org.apache.commons:commons-build-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-scm-publish-plugin
%pom_remove_plugin org.spdx:spdx-maven-plugin
%pom_remove_plugin org.cyclonedx:cyclonedx-maven-plugin

# Plugins useless in package builds
%pom_remove_plugin :apache-rat-plugin
%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :versions-maven-plugin
%pom_remove_plugin :maven-artifact-plugin

%pom_remove_dep org.junit:junit-bom

# Remove profiles for plugins that are useless in package builds
for profile in animal-sniffer japicmp jacoco cobertura; do
    %pom_xpath_remove "pom:profile[pom:id='${profile}']"
done

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md RELEASE-NOTES.txt
%license LICENSE.txt NOTICE.txt



%changelog
* Sun Sep 01 2024 neoclust <neoclust> 73-1.mga10
+ Revision: 2092455
- New version 73

* Thu Jun 20 2024 daviddavid <daviddavid> 71-1.mga10
+ Revision: 2075833
- Update to upstream version 71

* Tue May 21 2024 ns80 <ns80> 66-1.mga10
+ Revision: 2065564
- new version 66 for java 21

* Thu Sep 14 2023 daviddavid <daviddavid> 61-1.mga10
+ Revision: 1986570
- Update to upstream version 61

* Mon Jul 25 2022 neoclust <neoclust> 53-3.mga9
+ Revision: 1871006
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 53-2.mga9
+ Revision: 1870195
- Fix BR for bootstrap

* Tue Jun 07 2022 neoclust <neoclust> 53-1.mga9
+ Revision: 1863303
- New version 53
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Sep 11 2020 daviddavid <daviddavid> 52-1.mga8
+ Revision: 1624351
- Update to version 52

* Sun Aug 23 2020 neoclust <neoclust> 47-3.mga8
+ Revision: 1618238
- Rebuild against java11

* Sat Feb 15 2020 umeabot <umeabot> 47-2.mga8
+ Revision: 1527498
- Mageia 8 Mass Rebuild

* Wed Jul 17 2019 daviddavid <daviddavid> 47-1.mga8
+ Revision: 1422179
- Update to upstream version 47

* Tue Dec 11 2018 neoclust <neoclust> 43-2.mga7
+ Revision: 1340334
- Revert to version 43

* Sun Nov 18 2018 guillomovitch <guillomovitch> 47-1.mga7
+ Revision: 1330784
- new version 47

* Thu Sep 20 2018 daviddavid <daviddavid> 43-1.mga7
+ Revision: 1287892
- Update to upstream version 43 (sync with fc29)

* Thu Sep 20 2018 umeabot <umeabot> 39-5.mga7
+ Revision: 1277593
- Mageia 7 Mass Rebuild

* Wed May 17 2017 neoclust <neoclust> 39-4.mga6
+ Revision: 1102563
- Rebuild against new apache-parent

* Wed Mar 02 2016 neoclust <neoclust> 39-3.mga6
+ Revision: 982486
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 39-2.mga6
+ Revision: 975425
- First rebuild of the java stack

* Sat Dec 19 2015 zezinho <zezinho> 39-1.mga6
+ Revision: 912250
- new version 39

* Thu Dec 25 2014 pterjan <pterjan> 34-5.mga5
+ Revision: 805562
- Clean rebuild
- Sync with Fedora 21
+ dmorgan <dmorgan>
- Restore from Obsolete
+ sander85 <sander85>
- Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 32-4.mga5
+ Revision: 749592
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 32-3.mga5
+ Revision: 677821
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 32-1.mga4
+ Revision: 489000
- New version
- New version
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 27 2011 dmorgan <dmorgan> 20-2.mga3
+ Revision: 92245
- Rebuild after bootstrapping
- imported package apache-commons-parent


* Fri Apr 15 2011 Chris Spike <spike@fedoraproject.org> 20-1
- Updated to 20
- Fixed Rs for maven 3

* Sat Nov 6 2010 Chris Spike <spike@fedoraproject.org> 15-2
- Added patch to remove commons-build-plugin from pom file

* Wed Oct 20 2010 Chris Spike <spike@fedoraproject.org> 15-1
- Initial version of the package
